Bug 2001 - Опять i845: Падение X-ов с криками active ring not flushed
: Опять i845: Падение X-ов с криками active ring not flushed
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/XFree86-server)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-19 16:54 by
Modified: 2007-04-06 15:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-19 16:54:58
Очередной глюк i845. Непонятно чей, или X-ов или kernel.
Приходя утром частенько застаю упавшими X-ы с записью в логе Active ring not
flushed, после чего они практически всегда не хотят заново запускаться. Сейчас
вот обнаружил следюущее в логах:
XFree86.log:
(WW) I810(0): PRB0_HEAD (0x00000000) and PRB0_TAIL (0x00000200) indicate ring
buffer not flushed  

syslog:
Jan 18 10:09:02 eva kernel: [drm:i830_wait_ring] *ERROR* lockup
Jan 18 10:09:02 eva kernel: [drm:i830_wait_ring] *ERROR* space: 53560 wanted
65528
Jan 18 10:09:02 eva kernel: [drm:i830_wait_ring] *ERROR* lockup

Причем просиходит это все ночью, ибо в течение дня все нормально. Может быть,
если их не трогать, то начинается какая-то утечка. 

---

---
Мать: MSI-6526 Series, чипсет i845+включена встроенная видео i845G.
Kernel 2.4.20 последний из Sisyphus-а.
X-ы: 4.2.1, ибо в 4.2.1.1 еще не починен тот глюк с изображением, баг о котором
запостит неделю назад или две сюда.

Загружен модуль i830, загрузка идет при включенном framebuffer (1024x768)
------- Comment #1 From 2003-02-06 21:13:48 -------
Я пока не в курсе, что делать с этой ошибкой...
Ждем стабильной версии драйвера.
Хотя - могу еще порекомендовать попробовать на последней версии ядра.
------- Comment #2 From 2003-02-06 21:13:48 -------
Я пока не в курсе, что делать с этой ошибкой...
Ждем стабильной версии драйвера.
Хотя - могу еще порекомендовать попробовать на последней версии ядра.
------- Comment #3 From 2003-02-09 17:52:35 -------
Проверьте на последних версиях XFree86 и Kernel24

Также рекомендую отключить аппаратное ускорение в конфигурационном файле
------- Comment #4 From 2003-02-09 17:52:35 -------
Проверьте на последних версиях XFree86 и Kernel24

Также рекомендую отключить аппаратное ускорение в конфигурационном файле
------- Comment #5 From 2003-08-12 14:44:53 -------
fixed (XFree 4.3.0)
------- Comment #6 From 2003-08-12 14:44:53 -------
fixed (XFree 4.3.0)